org.eclipse.rdf4j.federated.util

## Class Version

- java.lang.Object
- - org.eclipse.rdf4j.federated.util.Version

-     public class Version
      extends Object

  Version utility: read the version from the Jar's manifest file.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `build`
    `protected String` | `companyName`
    `protected String` | `contact`
    `protected String` | `date`
    `protected static org.slf4j.Logger` | `log`
    `protected String` | `longVersion`
    `protected String` | `productName`
    `protected String` | `project`
    `protected String` | `version`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuild()`
    `String` | `getCompanyName()`
    `String` | `getContact()`
    `String` | `getDate()`
    `protected String` | `getJarPath()`
    `String` | `getLongVersion()`
    `String` | `getProductName()`
    `String` | `getProject()`
    `String` | `getVersion()`
    `static Version` | `getVersionInfo()` Return the version instance
    `String` | `getVersionString()`
    `static void` | `main(String[] args)` Prints the version info.
    `void` | `printVersionInformation()` print information to Stdout

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.slf4j.Logger log

    - #### project

          protected String project

    - #### date

          protected String date

    - #### longVersion

          protected String longVersion

    - #### build

          protected String build

    - #### version

          protected String version

    - #### contact

          protected String contact

    - #### companyName

          protected String companyName

    - #### productName

          protected String productName

  - ### Method Detail

    - #### getVersionInfo

          public static Version getVersionInfo()

      Return the version instance
      Returns:
        the `Version` instance

    - #### getJarPath

          protected String getJarPath()

    - #### getVersionString

          public String getVersionString()

      Returns:
        the version string, i.e. 'FedX 1.0 alpha (build 1)'

    - #### printVersionInformation

          public void printVersionInformation()

      print information to Stdout

    - #### getProject

          public String getProject()

    - #### getDate

          public String getDate()

    - #### getLongVersion

          public String getLongVersion()

    - #### getBuild

          public String getBuild()

    - #### getVersion

          public String getVersion()

    - #### getContact

          public String getContact()

    - #### getCompanyName

          public String getCompanyName()

    - #### getProductName

          public String getProductName()

    - #### main

          public static void main(String[] args)

      Prints the version info.
      Parameters:
        `args` -

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.